<?php
include('conexion.php');
$edoped = $_POST['edoped'];
$fecha = $_POST['fecha'];
$nom = $_SESSION['nom_admin'];
$iduser = $_SESSION['id_user'];
$suc = $_SESSION['IdSuc'];
$tipou= $_SESSION['tipouser'];
$sucbus = $_POST['sucbus'];

//EJECUTAMOS LA CONSULTA DE BUSQUEDA
if($sucbus == 0){
    //$registro = mysqli_query($conexion,"SELECT * FROM factGDL JOIN  ORDER BY IdCliente ASC ");
    $registro = "SELECT 
    V.FechaVenta   AS 'FechaVenta',
    V.Serie        AS 'Serie',
    V.FolioVenta   AS 'Folio',
    C.Nombre       AS 'Cliente',
    CASE WHEN C.TipoCliente = 1 THEN 'MOSTRADOR' WHEN C.TipoCliente = 2 THEN 'FOTOGRAFO' END AS 'TipoCliente',
    CASE WHEN V.EstadoOrden = 6 THEN 'Entregado' WHEN V.EstadoOrden = 5 THEN 'Listo para entrega' WHEN V.EstadoOrden = 4 THEN 'En sucursal destino' WHEN V.EstadoOrden = 3 THEN 'En transito' WHEN V.EstadoOrden = 2 THEN 'En bodega CULIACAN' WHEN V.EstadoOrden = 1 THEN 'En proceso TALLER' When V.EstadoOrden = 0 THEN 'Pedido capturado' WHEN V.EstadoOrden = 7 THEN 'Pagado pend. producción' END AS 'Estado',
    ''			  AS 'OBSERVACIONES'
    
FROM Ventas V
JOIN Clientes C ON V.IdCliente = C.IdCliente
WHERE V.Activo = 1
AND V.TipoOrden = '1'
AND V.FechaEntrega = '$fecha'
";

    /* if($desde != '' && $hasta != ''){
        
        $registro = mysqli_query($conexion,"SELECT D.Cantidad, D.Largo, D.Ancho, CASE WHEN D.Umed = 1 THEN 'CM' WHEN D.Umed = 2 THEN 'IN' END AS 'Umed', D.CodProd as 'MOLDURA', V.FechaBusq, V.Serie, V.FolioVenta,CASE WHEN D.TiraC = 1 THEN 'SI' WHEN D.TiraC != 1 THEN 'NO' END AS 'TiraCompleta' FROM VentasDetalle D
        JOIN Ventas V ON V.Serie = D.Serie AND V.FolioVenta = D.IdVenta
        JOIN Productos P ON D.CodProd = P.Codigo
        WHERE V.FechaBusq BETWEEN '$desde' AND '$hasta' AND D.CodProd != '' AND V.Serie != 'COT-' and P.IdCategoria = '3' and V.ImpresoProduccion = 0
        Order by D.CodProd");
    } */

}else if($sucbus != 0){
    $registro = "SELECT 
    V.FechaVenta   AS 'FechaVenta',
    V.Serie        AS 'Serie',
    V.FolioVenta   AS 'Folio',
    C.Nombre       AS 'Cliente',
    CASE WHEN C.TipoCliente = 1 THEN 'MOSTRADOR' WHEN C.TipoCliente = 2 THEN 'FOTOGRAFO' END AS 'TipoCliente',
    CASE WHEN V.EstadoOrden = 6 THEN 'Entregado' WHEN V.EstadoOrden = 5 THEN 'Listo para entrega' WHEN V.EstadoOrden = 4 THEN 'En sucursal destino' WHEN V.EstadoOrden = 3 THEN 'En transito' WHEN V.EstadoOrden = 2 THEN 'En bodega CULIACAN' WHEN V.EstadoOrden = 1 THEN 'En proceso TALLER' When V.EstadoOrden = 0 THEN 'Pedido capturado' WHEN V.EstadoOrden = 7 THEN 'Pagado pend. producción' END AS 'Estado',
    ''			  AS 'OBSERVACIONES'
    
FROM Ventas V
JOIN Clientes C ON V.IdCliente = C.IdCliente
WHERE V.Activo = 1
AND V.TipoOrden = '1'
AND V.FechaEntrega = '$fecha'
AND V.IdSucursal = '$sucbus'
";
    //$registro = mysqli_query($conexion,"SELECT * FROM factGDL JOIN  ORDER BY IdCliente ASC ");
    /* if($desde != '' && $hasta != ''){
        
        $registro = mysqli_query($conexion,"SELECT D.Cantidad, D.Largo, D.Ancho, CASE WHEN D.Umed = 1 THEN 'CM' WHEN D.Umed = 2 THEN 'IN' END AS 'Umed', D.CodProd as 'MOLDURA', V.FechaBusq, V.Serie, V.FolioVenta,CASE WHEN D.TiraC = 1 THEN 'SI' WHEN D.TiraC != 1 THEN 'NO' END AS 'TiraCompleta' FROM VentasDetalle D
        JOIN Ventas V ON V.Serie = D.Serie AND V.FolioVenta = D.IdVenta
        JOIN Productos P ON D.CodProd = P.Codigo
        WHERE V.FechaBusq BETWEEN '$desde' AND '$hasta' AND D.CodProd != '' AND V.Serie != 'COT-' and P.IdCategoria = '3' AND V.IdSucursal = '$sucbus' and V.ImpresoProduccion = 0
        Order by D.CodProd");
    } */
}
if($edoped != 7){
    $registro .= " AND V.EstadoOrden = ".$edoped;
}

$registro .= " ORDER BY TipoCliente,Estado,V.Serie, V.IdVenta ASC";
$reg = mysqli_query($conexion,$registro);
	//CREAMOS NUESTRA VISTA Y LA DEVOLVEMOS AL AJAX
	$contador = mysqli_num_rows($reg);
	$d = mysqli_fetch_array($reg);
    /* $consulta = "SELECT D.Cantidad, D.Largo, D.Ancho, CASE WHEN D.Umed = 1 THEN 'CM' WHEN D.Umed = 2 THEN 'IN' END AS 'UNIDAD DE MEDIDA', D.CodProd as 'MOLDURA', V.FechaBusq, V.Serie, V.FolioVenta,CASE WHEN D.TiraC = 1 THEN 'SI' WHEN D.TiraC != 1 THEN 'NO' END AS 'TiraCompleta' FROM VentasDetalle D
    JOIN Ventas V ON V.Serie = D.Serie AND V.FolioVenta = D.IdVenta
    JOIN Productos P ON D.CodProd = P.Codigo
    WHERE V.FechaBusq BETWEEN '$desde' AND '$hasta' AND D.CodProd != '' AND V.Serie != 'COT-' and P.IdCategoria = '3'
    Order by D.CodProd  "; */
	
echo '<div align="center">
<table class="table table-striped  table-hover" style="font-size:14px;width:100%;">
	        	<thead>
	        	<tr class="pagado">
	            	<th colspan="8" style="font-size:20px;" >Busqueda general</th>
	            </tr>

				<tr>
					<th>Fecha venta</th>
					<th>Folio</th>
	            	<th>Cliente</th>
	            	<th>Tipo Cliente</th>
	                <th>Estado</th>
	                <th>Observaciones</th>
	            </tr></thead>
	            <tbody>';


	$url_actual = "http://" . $_SERVER["SERVER_NAME"] . $_SERVER["REQUEST_URI"];
	if($contador >0){
			
		do{
			$fechav = $d['FechaVenta'];
			$folio = $d['Serie'].$d['Folio'];
			$cliente = $d['Cliente'];
			$cat = $d['TipoCliente'];
			$estado = $d['Estado'];


			echo '
			<tr>	
			<td class="'.$folio.'">'.$fechav.'</td>
			<td class="'.$folio.'">'.$folio.'</td>
			<td class="'.$folio.'">'.$cliente.'</td>
			<td class="'.$folio.'">'.$cat.'</td>
			<td class="'.$folio.'">'.$estado.'</td>
			<td class="'.$folio.'"></td>

            <tr>
			';			
							

			
			}while(($d = mysqli_fetch_array($reg)));
		}else{
			echo '<tr>
					<td colspan="8">No se encontraron resultados '.$contador.' '.$desde.' '.$hasta.'</td>
				</tr>';
			}
	
	/*echo '<tr>
				<td colspan="3"></td>
				<td>Accion: </td>
				<td><select folio="accnor">
					<option value="0" selected>Selecciona una opcion</option> 
					<option value="1">Revisado</option>
					<option value="2">No revisado</option>
				 </td>
				<td colspan="1" ><button folio="aplicaracc" onclick="revisado()" >Aceptar</button></td>
				
			</tr>';*/
	echo '</tbody></table></div>';



?>